# Run tests in check section
%bcond_without check

# https://github.com/docopt/docopt-go
%global goipath         github.com/docopt/docopt-go
%global commit          ee0de3bc6815ee19d4a46c7eb90f829db0e014b1

%global common_description %{expand:
An implementation of docopt in the Go programming language.

docopt helps you create beautiful command-line interfaces easily.}

%gometa

Name:           %{goname}
Version:        0.6.2
Release:        1%{?dist}
Summary:        A command-line arguments parser
# Detected licences
# - Expat License at 'LICENSE'
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}


%package devel
Summary:       %{summary}
BuildArch:     noarch

Provides:      golang-github-docopt-docopt-go-devel = %{version}-%{release}
Obsoletes:     golang-github-docopt-docopt-go-devel < 0-0.11.git.854c423

%description devel
%{common_description}

This package contains library source intended for
building other packages which use import path with
%{goipath} prefix.


%prep
%autosetup -n docopt.go-%{commit}


%install
%goinstall


%if %{with check}
%check
%gochecks
%endif


%files devel -f devel.file-list
%license LICENSE
%doc README.md


%changelog
* Sun Mar 03 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.6.2-1.20190325gitee0de3b
- First package for Fedora
